
/**
 *  @file
 *  JS Behaviors for File Form.
 */

/**
 *  Hide the form, and cause the flag form link to show/hide the form.
 */
Drupal.behaviors.flagFormToggle = function (context) {
  // Hide all flag forms.
  $('.flag-form-form:not(.flagFormToggle-processed)', context).addClass('flagFormToggle-processed').each(function() {
    $(this).hide();
  });

  // 'Flag this' links will toggle the display of its associated form.
  $('.link-flag-flag-form:not(.flagFormToggle-processed)', context).addClass('flagFormToggle-processed').each(function() {
    $(this).click(function() {
      // Find the associated form (which will be $('#flag-flag-form-[nid]'))
      var id = $(this).attr('id').substr(5);

      // Toggle the display of the form.
      $('#'+ id).toggle('slow');

      // Don't go to the link target, which is the otherwise the node page#fragment.
      return false;
    });
  });

  // Cancel buttons will simply hide the form.
  $('.flag-form-cancel:not(.flagFormToggle-processed)', context).addClass('flagFormToggle-processed').each(function() {
    $(this).click(function() {
      $(this).parent().parent().toggle('slow');
      return false;
    });
  });
}
