<?php

/**
 *  @file
 *  Menu page callbacks for Flag Form.
 */

/**
 *  Callback for admin/build/flags/flag-form.
 */
function flag_form_page() {
  $form = array();
  $form['flag_form_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Flag form title'),
    '#description' => t('This is the title that will be displayed for flag forms.'),
    '#default_value' => variable_get('flag_form_title', t('Flags')),
  );
  $form['flag_form_toggle_fieldset'] = array(
    '#type' => 'fieldset',
    '#title' => t('Flag form toggle'),
    '#description' => t('By default, a link will be displayed that will toggle the flag form. These settings will be applied only if the %link checkbox below is checked.', array('%link' => t('Display toggle link'))),
  );
  $form['flag_form_toggle_fieldset']['flag_form_toggle'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display toggle link'),
    '#description' => t('If checked, then a provided link will toggle the display of any flag forms, so they slide up and down when the link is clicked.'),
    '#default_value' => variable_get('flag_form_toggle', FALSE),
  );
  $form['flag_form_toggle_fieldset']['flag_form_toggle_link_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Toggle link title'),
    '#description' => t("This is the text that will be displayed for the toggle links (ignored if we don't display a toggle link)."),
    '#default_value' => variable_get('flag_form_toggle_link_title', t('Flag content')),
  );
  $form['flag_form_toggle_fieldset']['flag_form_expand_form'] = array(
    '#type' => 'checkbox',
    '#title' => t('Expand form by default'),
    '#description' => t("If checked, then the form will be expanded by default (always TRUE if we don't display a toggle link)."),
    '#default_value' => variable_get('flag_form_expand_form', TRUE),
  );
  return system_settings_form($form);
}

